Ginkgo: gko::version_info Class Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::version_info Class Reference

Ginkgo uses version numbers to label new features and to communicate backward compatibility guarantees: More...

`#include <ginkgo/core/base/version.hpp>`

Collaboration diagram for gko::version_info:
[legend]

## Static Public Member Functions
static const version_info & | get ()
| Returns an instance of version_info.

## Public Attributes
version | header_version
| Contains version information of the header files.
version | core_version
| Contains version information of the core library.
version | reference_version
| Contains version information of the reference module.
version | omp_version
| Contains version information of the OMP module.
version | cuda_version
| Contains version information of the CUDA module.
version | hip_version
| Contains version information of the HIP module.
version | dpcpp_version
| Contains version information of the DPC++ module.

## Detailed Description

Ginkgo uses version numbers to label new features and to communicate backward compatibility guarantees:

1. Versions with different major version number have incompatible interfaces (parts of the earlier interface may not be present anymore, and new interfaces can appear).
2. Versions with the same major number X, but different minor numbers Y1 and Y2 numbers keep the same interface as version X.0.0, but additions to the interface in X.0.0 present in X.Y1.0 may not be present in X.Y2.0 and vice versa.
3. Versions with the same major an minor version numbers, but different patch numbers have exactly the same interface, but the functionality may be different (something that is not implemented or has a bug in an earlier version may have this implemented or fixed in a later version).

This structure provides versions of different parts of Ginkgo: the headers, the core and the kernel modules (reference, OpenMP, CUDA, HIP, DPCPP). To obtain an instance of version_info filled with information about the current version of Ginkgo, call the version_info::get() static method.

## Member Function Documentation

## ◆ get()

const version_info & gko::version_info::get | ( |  | ) |
| inlinestatic

Returns an instance of version_info.

Returns
  an instance of version info

## Member Data Documentation

## ◆ core_version

version gko::version_info::core_version

Contains version information of the core library.

This is the version of the static/shared library called "ginkgo".

## ◆ cuda_version

version gko::version_info::cuda_version

Contains version information of the CUDA module.

This is the version of the static/shared library called "ginkgo_cuda".

## ◆ dpcpp_version

version gko::version_info::dpcpp_version

Contains version information of the DPC++ module.

This is the version of the static/shared library called "ginkgo_dpcpp".

## ◆ hip_version

version gko::version_info::hip_version

Contains version information of the HIP module.

This is the version of the static/shared library called "ginkgo_hip".

## ◆ omp_version

version gko::version_info::omp_version

Contains version information of the OMP module.

This is the version of the static/shared library called "ginkgo_omp".

## ◆ reference_version

version gko::version_info::reference_version

Contains version information of the reference module.

This is the version of the static/shared library called "ginkgo_reference".

The documentation for this class was generated from the following file:

- ginkgo/core/base/version.hpp